package com.ruoyi.project.invoice.service.impl;

import com.ruoyi.project.invoice.domain.TInvoiceUserUnit;
import com.ruoyi.project.invoice.mapper.TInvoiceUserUnitMapper;
import com.ruoyi.project.invoice.service.ITInvoiceUserUnitService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 用户单位管理Service业务层处理
 *
 * @author ruoyi
 * @date 2022-09-07
 */
@Service
public class TInvoiceUserUnitServiceImpl implements ITInvoiceUserUnitService
{
    @Autowired
    private TInvoiceUserUnitMapper tInvoiceUserUnitMapper;

    /**
     * 查询用户单位管理
     *
     * @param id 用户单位管理ID
     * @return 用户单位管理
     */
    @Override
    public TInvoiceUserUnit selectTInvoiceUserUnitById(Long id)
    {
        return tInvoiceUserUnitMapper.selectTInvoiceUserUnitById(id);
    }

    /**
     * 根据用户单位查询对应信息
     *
     * @param id 用户单位管理
     * @return
     */
    @Override
    public List<TInvoiceUserUnit> selectTInvoiceUserUnitByUnit(String userUnit)
    {
        return tInvoiceUserUnitMapper.selectTInvoiceUserUnitByUnit(userUnit);
    }

    @Override
    public List<TInvoiceUserUnit> selectAllTInvoiceUserUnit(TInvoiceUserUnit tInvoiceUserUnit)
    {
        return tInvoiceUserUnitMapper.selectAllTInvoiceUserUnit(tInvoiceUserUnit);
    }

    /**
     * 查询用户单位管理列表
     *
     * @param tInvoiceUserUnit 用户单位管理
     * @return 用户单位管理
     */
    @Override
    public List<TInvoiceUserUnit> selectTInvoiceUserUnitList(TInvoiceUserUnit tInvoiceUserUnit)
    {
        return tInvoiceUserUnitMapper.selectTInvoiceUserUnitList(tInvoiceUserUnit);
    }

    @Override
    public List<TInvoiceUserUnit> selectTInvoiceUserUnitListToExcel(TInvoiceUserUnit tInvoiceUserUnit)
    {
        return tInvoiceUserUnitMapper.selectTInvoiceUserUnitListToExcel(tInvoiceUserUnit);
    }

    /**
     * 新增用户单位管理
     *
     * @param tInvoiceUserUnit 用户单位管理
     * @return 结果
     */
    @Override
    public int insertTInvoiceUserUnit(TInvoiceUserUnit tInvoiceUserUnit)
    {
        return tInvoiceUserUnitMapper.insertTInvoiceUserUnit(tInvoiceUserUnit);
    }

    /**
     * 修改用户单位管理
     *
     * @param tInvoiceUserUnit 用户单位管理
     * @return 结果
     */
    @Override
    public int updateTInvoiceUserUnit(TInvoiceUserUnit tInvoiceUserUnit)
    {
        return tInvoiceUserUnitMapper.updateTInvoiceUserUnit(tInvoiceUserUnit);
    }

    /**
     * 批量删除用户单位管理
     *
     * @param ids 需要删除的用户单位管理ID
     * @return 结果
     */
    @Override
    public int deleteTInvoiceUserUnitByIds(Long[] ids)
    {
        return tInvoiceUserUnitMapper.deleteTInvoiceUserUnitByIds(ids);
    }

    /**
     * 删除用户单位管理信息
     *
     * @param id 用户单位管理ID
     * @return 结果
     */
    @Override
    public int deleteTInvoiceUserUnitById(Long id)
    {
        return tInvoiceUserUnitMapper.deleteTInvoiceUserUnitById(id);
    }
}
